{% extends 'property_vacancy_management/building_unit/building_unit.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/building_unit/photo/edit') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/building_unit/photo/edit') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_building_unit_photo_overview', {'buildingUnitId': buildingUnit.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Objekt {{ buildingUnit.getName() }}</span>
        {% if is_granted('edit', buildingUnit) == true %}
            {{ form_widget(photoForm.save, {'label': 'SPEICHERN', 'id': photoForm.save.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto align-self-center'}}) }}
        {% endif %}

        {% if is_granted('edit', buildingUnit) == true %}
            {% set listItems = [
                {
                    'label': 'Foto löschen',
                    'url': path('property_vacancy_management_building_unit_photo_delete', {'buildingUnitId': buildingUnit.getId(), 'imageId': image.getId()}),
                    'icon': 'delete_forever'
                },
            ] %}

            {% if buildingUnit.getMainImage() == null or buildingUnit.getMainImage() != image %}
                {% set listItems = listItems|merge([
                    {
                        'label': 'Als Hauptbild setzen',
                        'url': path('property_vacancy_management_building_unit_photo_set_main_image', {'buildingUnitId': buildingUnit.getId(), 'imageId': image.getId()}),
                        'icon': 'wallpaper'
                    },
                ]) %}
            {% endif %}

            {% include 'component/mdc_context_menu_component.html.twig' with {'id': 'photo','listItems': listItems} only %}
        {% endif %}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <img src="{{ path('file', {'fileUuid': image.getFile().getUuid()}) }}" class="img-fluid">
            <div class="p-3">
                <div class="mb-3">
                    <i>Hochgeladen am: {{ image.getCreatedAt().format('d.m.Y H:i') }}</i>
                </div>
                {% if is_granted('edit', buildingUnit) == true %}
                    {{ form_start(photoForm, {'attr': {'id': photoForm.vars.id ~ '_form'}}) }}
                {% endif %}
                {% include 'property_vacancy_management/form/property/photo_form.html.twig' with {'form': photoForm} only %}
                {% if is_granted('edit', buildingUnit) == true %}
                    {{ form_row(photoForm._token) }}
                    {{ form_end(photoForm, {'render_rest': false}) }}
                {% endif %}
            </div>
            {% if nextImageId != null %}
                <div class="d-flex justify-content-between p-3">
                    <a href="{{ path('property_vacancy_management_building_unit_photo', {'buildingUnitId': buildingUnit.getId(), 'imageId': prevImageId}) }}" class="mdc-button">Vorheriges Foto</a>
                    <a href="{{ path('property_vacancy_management_building_unit_photo', {'buildingUnitId': buildingUnit.getId(), 'imageId': nextImageId}) }}" class="mdc-button">Nächstes Foto</a>
                </div>
            {% endif %}
        </div>
    </div>
{% endblock %}
